> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload DecisionLogic XML

> Upload DecisionLogic XML files for a specified end user to translate into Heron Data format and add transactions for the end user




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_users/{end_user_id_or_heron_id}/decision_logic
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/decision_logic:
    post:
      tags:
        - EndUserIntegrations
      summary: Upload DecisionLogic XML
      description: >
        Upload DecisionLogic XML files for a specified end user to translate
        into Heron Data format and add transactions for the end user
      parameters:
        - description: The `end_user_id` or `heron_id` of EndUser to upload
          in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
        - description: ISO 4217 currency code
          in: query
          name: currency
          required: false
          schema:
            example: USD
            type: string
      requestBody:
        content:
          application/xml:
            schema:
              type: string
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  _summary:
                    properties:
                      request_id:
                        description: Unique UUID per request
                        type: string
                    type: object
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````